是否该从1.2升级到2.1?

发布于 2017-08-29 01:00:24
这几年一直在用1.2,主要是在M3和M4上,最近在考虑是否有必要升级到2.1. 不知道2个版本的API是否兼容,担心有很多代码要重新调。看了2.1的发布文档,个人理解主要改进是对芯片和网络的支持,对么?

查看更多

关注者
0
被浏览
2.7k
5 个回答
bernard
bernard 2017-08-29
应该升级的,因为1.2这个版本已经不维护了,有什么bug也基本上不在1.2.x上进行修正,所以还是应该迁移到2.x上。兼容性上来说,RT-Thread一直做得很好的
presto
presto 2017-08-29
请问现在RTT2的最新版本是哪个?在github上看到2.1.0但是好像有点久,直接clone github会不会有些代码不稳定。
ralfak
ralfak 2017-12-13
1.2挺好用的,我也一直用这个
IdeaMing
IdeaMing 2018-01-25
支持升级,新加入的东西更方便使用。

撰写答案

请登录后再发布答案,点击登录

发布
问题

分享
好友